Products
Stockrecords Create
Create a new stockrecord.
Authorization
oauth2 catalogue:writeAuthorizationBearer <token>
Generate an Access Token through Settings > API Access for single store access or use the Authorization Code flow with your partner App Client ID. Use required permission scopes for API endpoint access. Example Authorization: Bearer 123
In: header
Scope: catalogue:write
Header Parameters
X-29next-API-Version*"unstable"
Default
"unstable"Value in
- "unstable"
Response Body
application/json
curl -X POST "https://example.com/stockrecords/" \ -H "X-29next-API-Version: unstable" \ -H "Content-Type: application/json" \ -d '{ "location_id": 0, "product": 0 }'{ "date_created": "2019-08-24T14:15:22Z", "date_updated": "2019-08-24T14:15:22Z", "id": 0, "location": { "accept_return": true, "address": { "country": "string", "line1": "string", "line2": "string", "line3": "string", "line4": "string", "phone_number": "string", "postcode": "string", "state": "string" }, "allowed_destination_countries": [ "string" ], "callback_url": "http://example.com", "id": 0, "name": "string" }, "low_stock_threshold": 0, "net_stock_level": 0, "num_allocated": -2147483648, "num_in_stock": -2147483648, "product": { "id": 0, "sku": "string", "title": "string", "variant_id": 0, "variant_title": "string" }}